org.apache.hadoop.yarn.server.federation.store.records

## Class GetSubClustersInfoResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.GetSubClustersInfoResponse

- Direct Known Subclasses:
    GetSubClustersInfoResponsePBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class GetSubClustersInfoResponse
      extends Object

  Response to a query with list of `SubClusterInfo` about all sub-clusters that are currently participating in Federation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetSubClustersInfoResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<SubClusterInfo>` | `getSubClusters()` Get the list of `SubClusterInfo` representing the information about all sub-clusters that are currently participating in Federation.
    `static GetSubClustersInfoResponse` | `newInstance(List<SubClusterInfo> subClusters)`
    `abstract void` | `setSubClusters(List<SubClusterInfo> subClusters)` Set the list of `SubClusterInfo` representing the information about all sub-clusters that are currently participating in Federation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetSubClustersInfoResponse

          public GetSubClustersInfoResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static GetSubClustersInfoResponse newInstance(List<SubClusterInfo> subClusters)

    - #### getSubClusters

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract List<SubClusterInfo> getSubClusters()

      Get the list of `SubClusterInfo` representing the information about all sub-clusters that are currently participating in Federation.
      Returns:
        the list of `SubClusterInfo`

    - #### setSubClusters

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setSubClusters(List<SubClusterInfo> subClusters)

      Set the list of `SubClusterInfo` representing the information about all sub-clusters that are currently participating in Federation.
      Parameters:
        `subClusters` - the list of `SubClusterInfo`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.